Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1507)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1508)
@@ -600,7 +600,7 @@
 	 * @throws RWorkspaceException 
 	 * @throws REXPMismatchException 
 	 */
-	public boolean importData(File f) throws RWorkspaceException, REXPMismatchException {
+	public boolean importData(File f, String encoding, String colseparator, String txtseparator) throws RWorkspaceException, REXPMismatchException {
 
 		String path = f.getAbsolutePath();
 
@@ -615,8 +615,8 @@
 t3 <- t2[1:nrow(t2),];
 colnames(t3) <- header;
  */
-		rw.voidEval("tmpmat <- as.matrix(read.table(file=\"" + path + "\", row.names=1, skip=1, fileEncoding=\"UTF-8\"));"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.voidEval("tmpheader <- scan(file=\"" + path + "\", what = character(), nlines=1, sep=\"\t\", fileEncoding=\"UTF-8\");"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.voidEval("tmpmat <- as.matrix(read.table(file=\"" + path + "\", quote=\""+txtseparator.replace("\"", "\\\"")+"\", sep=\""+colseparator+"\", row.names=1, skip=1, fileEncoding=\""+encoding+"\"));"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.voidEval("tmpheader <- scan(file=\"" + path + "\", what = character(), nlines=1, quote=\""+txtseparator.replace("\"", "\\\"")+"\", sep=\""+colseparator+"\", fileEncoding=\""+encoding+"\");"); //$NON-NLS-1$ //$NON-NLS-2$
 		rw.voidEval("tmpheader <- tmpheader[2:length(tmpheader)];"); //$NON-NLS-1$
 		rw.voidEval("tmpmat <- tmpmat[1:nrow(tmpmat),];"); //$NON-NLS-1$
 		rw.voidEval("colnames(tmpmat) <- tmpheader"); //$NON-NLS-1$
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 1507)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 1508)
@@ -203,7 +203,7 @@
 	 *
 	 * @param file the file
 	 */
-	public abstract boolean importData(File file) throws RWorkspaceException, REXPMismatchException;
+	public abstract boolean importData(File file, String encoding, String colseparator, String txtseparator) throws RWorkspaceException, REXPMismatchException;
 
 	public abstract void sortByFreqs(boolean reverse) throws Exception;
 
Index: tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1507)
+++ tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1508)
@@ -251,7 +251,7 @@
 command.name.38         = Fusionner
 command.name.39         = Exporter la table
 command.name.4          = Sp\u00E9cificit\u00E9s
-command.name.40         = Importer une table
+command.name.40         = Importer table lexicale depuis un fichier...
 command.name.41         = CoocToConc
 command.name.42         = VocToProgress
 command.name.43         = VocToLexicalTable
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1507)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1508)
@@ -53,6 +53,7 @@
 import org.eclipse.swt.widgets.TableColumn;
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.index.core.functions.PartitionIndex;
 import org.txm.lexicaltable.core.functions.LexicalTable;
@@ -644,8 +645,11 @@
 	 @Deprecated
 	public void importData(File file) {
 		try {
+			String encoding = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_ENCODING);
+			String colseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_COL_SEPARATOR);
+			String txtseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_TXT_SEPARATOR);
 			
-			if (lexicalTable.getData().importData(file)) {
+			if (lexicalTable.getData().importData(file, encoding, colseparator, txtseparator)) {
 				lexicalTable.setAltered();
 				// fix col names
 				String[] colnames = lexicalTable.getColNames().asStringsArray();
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 1507)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 1508)
@@ -39,6 +39,8 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.rosuda.REngine.REXPMismatchException;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
@@ -63,6 +65,10 @@
 		
 		Object sel = this.getCorporaViewSelectedObject(event);
 		
+		String encoding = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_ENCODING);
+		String colseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_COL_SEPARATOR);
+		String txtseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_TXT_SEPARATOR);
+		
 		if (editor instanceof LexicalTableEditor) {
 			LexicalTableEditor LTeditor = (LexicalTableEditor) editor;
 			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
@@ -96,7 +102,7 @@
 				if (file.exists()) {
 					try {
 						lt.compute();
-						lt.getData().importData(file);
+						lt.getData().importData(file, encoding, colseparator, txtseparator);
 						lt.setAltered();
 						System.out.println(NLS.bind("Data imported: {0} columns and {1} rows.",lt.getNColumns(), lt.getNRows()));
 					} catch (Exception e) {
Index: tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle.properties	(revision 1507)
+++ tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle.properties	(revision 1508)
@@ -7,7 +7,7 @@
 
 command.name.39 = Export table to re-import
 
-command.name.40 = Import Table
+command.name.40 = Import Table from file...
 
 command.tooltip = Compute lexical table
 
Index: tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_ru.properties
===================================================================
--- tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 1507)
+++ tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 1508)
@@ -7,7 +7,7 @@
 
 command.name.39 = \u042D\u043A\u0441\u043F\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0442\u0430\u0431\u043B\u0438\u0446\u0443
 
-command.name.40 = \u0418\u043C\u043F\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0442\u0430\u0431\u043B\u0438\u0446\u0443
+command.name.40 = \u0418\u043C\u043F\u043E\u0440\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0442\u0430\u0431\u043B\u0438\u0446\u0443...
 
 command.tooltip = \u0421\u043B\u043E\u0432\u0430\u0440\u043D\u0430\u044F \u0442\u0430\u0431\u043B\u0438\u0446\u0430
 
Index: tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1507)
+++ tmp/org.txm.lexicaltable.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1508)
@@ -7,7 +7,7 @@
 
 command.name.39 = Exporter la table pour r\u00E9-import
 
-command.name.40 = Importer une table
+command.name.40 = Importer une table lexicale depuis un fichier...
 
 command.tooltip = Calculer une table lexicale
 
